Переполнение буфера в SILC Client и SILC Toolkit

Дата публикации:
06.07.2007
Дата изменения:
05.03.2008
Всего просмотров:
1415
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SILC Secure Internet Live Conferencing Toolkit 1.x
Secure Internet Live Conferencing Client 1.x
Уязвимые версии:
SILC Secure Internet Live Conferencing Client версии до 1.1.2
SILC Secure Internet Live Conferencing Toolkit версии до 1.1.2

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке "NICK_CHANGE" уведомлений в файле lib/silcclient/client_notify.c. Удаленный пользователь может с помощью специально сформированного имени в канале вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: silcnet.org

Решение: Установите последнюю версию 1.1.2 с сайта производителя.

или введите имя

CAPTCHA